# Notarize Python SDK

https://pypi.org/project/notarize/

The Notarize Python library provides methods for hitting the Notarize Business and Real Estate APIs.

## Documentation

See the [Notarize API docs](https://dev.notarize.com/).


## Installation

You don't need this source code unless you want to modify the package. If you just want to use the
package you can run:

```sh
pip install notarize
```

Install from source with:

```sh
python setup.py install
```

## Contribute / Versioning

To contribute just make a pull request.

- The project uses semantic verisoning MAJOR.MINOR.PATCH https://semver.org/
- Update the version in setup.py before merging into the main branch `version=****`
- Any merge into the main branch will automatically attempt to build a new version and publish to https://pypi.org/project/notarize/
- If you don't update the version manually before merging, no new version will be published

### Requirements

- The requirements can be installed with `pip install -r requirements.txt`
- Alternatively, to create a virtual environment and install the requirements there, you can run
the developer setup script `dev-setup.sh`

## Usage

To use the Notarize API you will need the API key for your organization.


```python
import notarize

# Set your API key
notarize.api_key = 'api_key'

# Get transaction info
response = notarize.business.retrieve_transaction(transaction_id)
```

### Handling Exceptions

FILLMEIN
