from .base_resource import BaseResource


class Document(BaseResource):

    BASE_ENDPOINT = '/v1/documents'

    def __init__(self, **kwargs):
        super().__init__(kwargs)

    def retrieve(self, transaction_id, document_id):
        # The "retrieve" endpoint is a little different in that it stems from the /transactions
        # endpoint.
        endpoint = f'/v1/transactions/{transaction_id}/documents/{document_id}?encoding=base64'
        response = self._make_client_request('get', endpoint)
        return self._validate_response(response)

    def update(self, document_id, payload):
        endpoint = f'{self.BASE_ENDPOINT}/{document_id}'
        response = self._make_client_request('put', endpoint, payload=payload)
        return self._validate_response(response)

    def delete(self, document_id):
        endpoint = f'{self.BASE_ENDPOINT}/{document_id}'
        response = self._make_client_request('delete', endpoint)
        return self._validate_response(response)

    def _validate_response(self, response):
        # TODO: Need a response validator?
        return response
