from .base_resource import BaseResource


class Notary(BaseResource):

    BASE_ENDPOINT = '/v1/notaries'

    def __init__(self, **kwargs):
        super().__init__(kwargs)

    def create(self, payload):
        response = self._make_client_request('post', self.BASE_ENDPOINT, payload=payload)
        return self._validate_response(response)

    def list(self, organization_id=None):
        params = {'organization_id': organization_id} if organization_id else {}
        response = self._make_client_request('get', self.BASE_ENDPOINT, payload=params)
        return self._validate_response(response)

    def retrieve(self, notary_id):
        endpoint = f'{self.BASE_ENDPOINT}/{notary_id}'
        response = self._make_client_request('get', endpoint)
        return self._validate_response(response)

    def delete(self, notary_id):
        endpoint = f'{self.BASE_ENDPOINT}/{notary_id}'
        response = self._make_client_request('delete', endpoint)
        return self._validate_response(response)

    def _validate_response(self, response):
        # TODO: Need a response validator?
        return response
