from .base_resource import BaseResource


class Organization(BaseResource):

    BASE_ENDPOINT = '/v1/partners'

    def __init__(self, **kwargs):
        super().__init__(kwargs)

    def create_partner(self, payload):
        response = self._make_client_request('post', self.BASE_ENDPOINT, payload=payload)
        return self._validate_response(response)

    def update_partner(self, organization_id, payload):
        endpoint = f'{self.BASE_ENDPOINT}/{organization_id}'
        response = self._make_client_request('patch', endpoint, payload=payload)
        return self._validate_response(response)

    def _validate_response(self, response):
        # TODO: Need a response validator?
        return response
