from .base_resource import BaseResource


class RealEstateTransaction(BaseResource):

    def __init__(self, **kwargs):
        if 'id' in kwargs.keys():
            self.id = kwargs['id']
        else:
            self.id = None
        super().__init__(kwargs)

    def create(self, payload):
        endpoint = '/mortgage/v2/transactions'
        response = self._make_client_request('post', endpoint, payload=payload)
        return self.validate_response(response)

    def list(self):
        endpoint = '/mortgage/v2/transactions'
        response = self._make_client_request('get', endpoint)
        return self.validate_response(response)


    def get(self):
        endpoint = '/mortgage/v2/transactions/' + self.id
        response = self._make_client_request('get', endpoint)
        return self.validate_response(response)

    def delete(self):
        endpoint = '/mortgage/v2/transactions/' + self.id
        response = self._make_client_request('delete', endpoint)
        return self.validate_response(response)

    def get_document(self, payload):
        endpoint = '/mortgage/v2/transactions/' + self.id + "/documents/" + self.document_id + "?encoding=base64"
        response = self._make_client_request('get', endpoint=endpoint)
        return self.validate_response(response)

    def add_document(self, payload):
        endpoint = '/mortgage/v2/transactions/' + self.id + "/documents"
        response = self._make_client_request('post', endpoint=endpoint, payload=payload)
        return self.validate_response(response)   

    def validate_response(self, response):
        return response


