from notarize.api_resources.organization import Organization
from notarize.config import fetch_config


def create_partner_organization(params):
    """
    Create a partner organization. https://dev.notarize.com/reference/create-partner-organization.

    Args:
        params (dict[str, any]): The params that will be passed to the create partner org route

    Returns:
        response (dict[str, any])
    """
    organization = Organization(config=fetch_config())
    return organization.create_partner(params)


def update_partner_organization(organization_id, params):
    """
    Update a partner organization. https://dev.notarize.com/reference/update-partner-organization.

    Args:
        organization_id (str): The ID of the organization to update
        params (dict[str, any]): The params that will be passed to the update partner org route

    Returns:
        response (dict[str, any])
    """
    organization = Organization(config=fetch_config())
    return organization.update_partner(organization_id, params)
