from dataclasses import dataclass

import notarize


class AuthError(Exception):
    pass


def fetch_config(env='prod'):
    if notarize.api_key is None:
        raise AuthError('API key is not set: Need to set notarize.api_key = <your api key>')
    api_key = notarize.api_key
    if env == 'prod':
        return Config(api_key, 2)
    else:
        return Config(api_key, 2)


@dataclass
class Config:
    apikey: str
    version: int = 2
