#!/usr/bin/env python
from setuptools import find_packages, setup
import codecs
import os

def get_long_description():
    with open(os.path.join(
        os.path.dirname(os.path.abspath(__file__)), 'README.md'
    ), encoding='utf8') as fp:
        return fp.read()

REQUIREMENTS = [req.strip() for req in open('requirements.txt').readlines()]

setup(
    name='notarize',
    version='1.1.8',
    description='notarize python sdk',
    author='Notarize',
    packages=find_packages(include=['notarize', 'notarize.*']),
    install_requires=REQUIREMENTS,
    long_description=get_long_description(),
    long_description_content_type='text/markdown',
)
